# $Revision: 1.55 $, $Date: 2011/10/13 09:33:34 $
%define		hordeapp ingo
#
%include	/usr/lib/rpm/macros.php
Summary:	Ingo - an email filter rules manager
Summary(pl.UTF-8):	Ingo - zarządca reguł filtrowania poczty elektronicznej
Name:		horde-%{hordeapp}
Version:	1.2.6
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/ingo/%{hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	d8549db0b8ceeb08dd16e0f99a275e05
Source1:	%{hordeapp}.conf
Patch0:		%{hordeapp}-path.patch
Patch1:		%{hordeapp}-maildir-prefix.patch
Patch2:		%{hordeapp}-folders-in-maildir.patch
URL:		http://www.horde.org/ingo/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	horde >= 3.0
Requires:	php(imap)
Requires:	webapps
Suggests:	php-pear-Net_Sieve >= 1.0.1
Suggests:	php-pear-Net_Socket
Obsoletes:	ingo
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'pear(/usr/share/horde.*)' 'pear(Horde.*)'

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Ingo currently supports the following filtering drivers:
- Sieve (using timsieved)
- procmail (using VFS FTP driver)
- IMAP client-side filtering

Ingo has replaced IMP's internal filtering code and is the default
filtering agent in IMP H3 (4.0).

The Horde Project writes web applications in PHP and releases them
under the GNU General Public License. For more information (including
help with Ingo) please visit <http://www.horde.org/>.

%description -l pl.UTF-8
Ingo aktualnie obsługuje następujące sterowniki filtrowania:
- Sieve (przy użyciu timsieved)
- procmail (przy użyciu sterownika VFS FTP)
- filtrowanie po stronie klienta IMAP

Ingo zastąpił wewnętrzny kod filtrujący IMP-a i jest domyślnym agentem
filtrowania w IMP-ie H3 (4.0).

Projekt Horde pisze aplikacje WWW w PHP i wydaje je na Powszechnej
Licencji Publicznej GNU (General Public License). Więcej informacji
(wraz z pomocą do Ingo) można znaleźć na stronie
<http://www.horde.org/>.

%prep
%setup -q -n %{hordeapp}-h3-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

rm */.htaccess
for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done
# considered harmful (horde/docs/SECURITY)
rm test.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a js lib locale templates themes $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc README docs/*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/js
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: horde-ingo.spec,v $
Revision 1.55  2011/10/13 09:33:34  baggins
- 1.2.6
- allow procmail folders to be crated under $MAILDIR instead of $DEAFULT

Revision 1.54  2010/09/30 19:59:23  glen
- autoup to 1.2.5

Revision 1.53  2010/09/07 12:51:13  glen
- updated to: 1.2.4

Revision 1.52  2010/05/09 23:41:11  baggins
- rel 3
- fixed patch

Revision 1.51  2010/05/09 23:34:16  baggins
- rel 2
- allow maildir folders to NOT begin with dot

Revision 1.50  2010/04/19 09:34:29  baggins
- 1.2.3

Revision 1.49  2008/10/14 15:16:24  baggins
- rel 3
- updated path patch

Revision 1.48  2008/10/11 04:49:42  qboosh
- no macro in Obsoletes

Revision 1.47  2008/10/11 00:02:50  baggins
- rel 2
- sanitized R/S

Revision 1.46  2008/10/10 16:12:57  baggins
- rel 1
- noautoreq for pear(/usr/share/horde.*)
- added js dir to package

Revision 1.45  2008/10/09 22:53:07  glen
- BR tar was due --strip-components= arg, now that's gone no need for versioned dep

Revision 1.44  2008/10/09 22:44:56  baggins
- use correct dir name in setup

Revision 1.43  2008/10/09 22:17:02  baggins
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

Revision 1.42  2008/10/09 21:51:49  baggins
- up to 1.2.1
- removed unreadable tangle of macros and ugly hacks

Revision 1.41  2008-02-06 23:08:42  glen
- update to 1.2rc2, unify macros, drop old trigger

Revision 1.40  2008-01-09 16:46:24  paszczus
- updated to 1.2-rc1

Revision 1.39  2007-10-01 06:39:15  glen
- 1.1.4

Revision 1.38  2007/08/01 11:41:07  paszczus
- rel 2

Revision 1.37  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.35  2006/11/27 11:12:26  glen
- add CVE ref to 1.1.2 release

Revision 1.34  2006/10/19 09:24:29  glen
- 1.1.2 FINAL [fixes CVE-2006-5449]

Revision 1.33  2006/10/01 17:09:36  glen
- rel 2

Revision 1.32  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.31  2006/05/02 18:45:43  glen
- fix %prep properly

Revision 1.30  2006/05/02 18:37:15  paszczus
- updated to 1.1.1

Revision 1.29  2006/04/06 23:38:23  glen
- just rm to catch missing files

Revision 1.28  2006/04/05 13:06:50  baggins
- release 1

Revision 1.27  2006/03/06 22:20:58  paszczus
- updated to FINAL 1.1

Revision 1.26  2006/02/28 12:34:52  glen
- fix trigger

Revision 1.25  2006/02/14 20:12:09  glen
- drop apache specific requires
- cosmetics

Revision 1.24  2006/02/14 19:59:48  glen
- unify (%verify attrs for webserver configs)

Revision 1.23  2006/02/14 15:58:43  glen
- rc2

Revision 1.22  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.21  2006/01/08 22:26:53  glen
- unify

Revision 1.20  2006/01/08 20:04:09  glen
- use %service in triggers
- trigger also on old package name

Revision 1.19  2006/01/05 18:05:48  paszczus
- updated to 1.1rc1

Revision 1.18  2005/12/02 17:57:44  glen
- proper build macros

Revision 1.17  2005/12/02 16:07:59  glen
- rel 2

Revision 1.16  2005/11/30 22:32:13  glen
- simplify and unify

Revision 1.15  2005/11/30 21:21:19  glen
- unify

Revision 1.14  2005/11/30 12:50:45  glen
- conf.xml is not %config(noreplace) so it should not be rescued in trigger

Revision 1.13  2005/11/29 19:17:31  glen
- incompatible apache versions are listed in webapps package

Revision 1.12  2005/11/28 11:35:56  glen
- use webapps framework

Revision 1.11  2005/11/16 14:17:51  glen
- unified apache virtual requires

Revision 1.10  2005/10/16 01:59:14  glen
- Ingo H3 (1.0.2) (final)

Revision 1.9  2005/09/17 16:27:33  glen
- renamed horde application packages with horde- prefix

Revision 1.8  2005/09/17 15:21:50  glen
- unify

Revision 1.7  2005/09/17 00:40:59  glen
- merged 1.0.2rc1 from DEVEL
- using %{_hordeapp} macro

Revision 1.6.4.3  2005/08/30 18:28:49  paszczus
- updated to 1.0.2rc1

Revision 1.6.4.2  2005/08/27 09:39:47  paszczus
- it is a snap of 1.1 version

Revision 1.6.4.1  2005/08/27 09:35:39  paszczus
- updated to 2005-08-26 snap (many changes were made)
- release 1

Revision 1.6  2005/07/20 22:07:56  glen
- use apache config triggers

Revision 1.5  2005/05/09 17:50:38  glen
- horde apps are all www applications (adjust group)

Revision 1.4  2005/03/21 17:22:50  glen
- rel 1; STBR

Revision 1.3  2005/03/06 09:58:57  glen
- strict apache module require

Revision 1.2  2005/02/28 19:41:27  qboosh
- pl

Revision 1.1  2005/02/27 20:00:33  glen
- new horde app
